<template>
    <div class="painel">
        <h2 class="titulo" @click="esconde = !esconde">{{ titulo }}</h2>
        <transition name="painel-fade">
            <div class="conteudo" v-show="!esconde">
                <slot>
                </slot>
            </div>
        </transition>
    </div>
</template>

<script>
export default {
    props: ['titulo'],
    data() {
        return {
            esconde: false
        }
    }
}
</script>

<style lang="scss">
    .painel {
        padding: 20px;
        border-radius: 5px;
        box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.3);
        transition: all 0.25s ease;

        &:hover {
            transform: scale(1.1);
        }

        .titulo {
            font-size: 18px;
            cursor: pointer;
        }
        .conteudo {

            img {
                max-width: 100%;
                transition: all 0.25s ease;
                cursor: pointer;

                &:hover {
                    transform: scale(1.1);
                }
            }
        }
    }
    .painel-fade-enter, .painel-fade-leave-active {
        opacity: 0;
    }
    .painel-fade-enter-active, .painel-fade-leave-active {
        transition: opacity 0.4s ease;
    }
</style>
